summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2021-10-15 22:56:18 +0100
committerV3n3RiX <venerix@koprulu.sector>2021-10-15 22:56:18 +0100
commit53348f641a11adf645093c0f3f999d871601e994 (patch)
tree8afce911a2359ba4ef185a7dcfe4eaa45523e5eb /sys-apps
parent112ff33ba7aca31a8368ad998ba5229bf926f45c (diff)
sys-apps/baselayout : revision bump
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/baselayout/baselayout-2.7-r11.ebuild (renamed from sys-apps/baselayout/baselayout-2.7-r10.ebuild)50
-rw-r--r--sys-apps/baselayout/files/dmcryptcfg111
-rw-r--r--sys-apps/baselayout/files/dracutcfg14
-rw-r--r--sys-apps/baselayout/files/grubcfg63
-rw-r--r--sys-apps/baselayout/files/nmcfg3
-rw-r--r--sys-apps/baselayout/files/smbcfg20
6 files changed, 256 insertions, 5 deletions
diff --git a/sys-apps/baselayout/baselayout-2.7-r10.ebuild b/sys-apps/baselayout/baselayout-2.7-r11.ebuild
index 16850ca1..1f771647 100644
--- a/sys-apps/baselayout/baselayout-2.7-r10.ebuild
+++ b/sys-apps/baselayout/baselayout-2.7-r11.ebuild
@@ -19,6 +19,9 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="build kernel_FreeBSD kernel_linux +split-usr"
+DEPEND="acct-group/smbshare"
+RDEPEND="${DEPEND}"
+
pkg_setup() {
multilib_layout
}
@@ -234,6 +237,38 @@ src_install() {
dodir /usr/lib
mv "${ED}"/etc/os-release "${ED}"/usr/lib || die
dosym ../usr/lib/os-release /etc/os-release
+
+ ############### Redcore Linux ###############
+ #
+ # issue.logo
+ rm "${ED}"/etc/issue.logo
+ #
+ # NetworkManager
+ dodir /etc/NetworkManager
+ insinto /etc/NetworkManager
+ newins "${FILESDIR}"/nmcfg NetworkManager.conf
+ #
+ # dracut
+ dodir /etc/dracut.conf.d
+ insinto /etc/dracut.conf.d
+ newins "${FILESDIR}"/dracutcfg dracut-redcore.conf
+ #
+ # grub
+ dodir /etc/default
+ insinto /etc/default
+ newins "${FILESDIR}"/grubcfg grub
+ #
+ # samba
+ dodir /etc/samba
+ insinto /etc/samba
+ newins "${FILESDIR}"/smbcfg smb.conf
+ keepdir var/lib/samba/usershare
+ # cryptsetup
+ dodir /etc/conf.d
+ insinto /etc/conf.d
+ newins ${FILESDIR}/dmcryptcfg dmcrypt
+ #
+ ##############################################
}
pkg_postinst() {
@@ -257,11 +292,6 @@ pkg_postinst() {
fi
done
- # Take care of the etc-update for the user
- if [ -e "${EROOT}"etc/._cfg0000_redcore-release ] ; then
- mv "${EROOT}"etc/._cfg0000_redcore-release "${EROOT}"etc/redcore-release || die
- fi
-
# whine about users that lack passwords #193541
if [[ -e "${EROOT}"etc/shadow ]] ; then
local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${EROOT}"/etc/shadow)
@@ -315,4 +345,14 @@ pkg_postinst() {
ewarn "${EROOT}etc/env.d/00basic is now ${EROOT}etc/env.d/50baselayout"
ewarn "Please migrate your changes."
fi
+
+ ############### Redcore Linux ###############
+ mv "${EROOT}"etc/._cfg????_redcore-release "${EROOT}"etc/redcore-release || die
+ rm -rf "${EROOT}"etc/dracut.conf.d/._cfg????_dracut-redcore.conf
+ rm -rf "${EROOT}"etc/default/._cfg????_grub
+ rm -rf "${EROOT}"etc/samba/._cfg????_smb.conf
+ rm -rf "${EROOT}"etc/conf.d/._cfg???_dmcrypt
+ chown root:smbshare /var/lib/samba/usershare
+ chmod 1770 /var/lib/samba/usershare
+ ############################################
}
diff --git a/sys-apps/baselayout/files/dmcryptcfg b/sys-apps/baselayout/files/dmcryptcfg
new file mode 100644
index 00000000..642ff087
--- /dev/null
+++ b/sys-apps/baselayout/files/dmcryptcfg
@@ -0,0 +1,111 @@
+# /etc/conf.d/dmcrypt
+
+# For people who run dmcrypt on top of some other layer (like raid),
+# use rc_need to specify that requirement. See the runscript(8) man
+# page for more information.
+
+#--------------------
+# Instructions
+#--------------------
+
+# Note regarding the syntax of this file. This file is *almost* bash,
+# but each line is evaluated separately. Separate swaps/targets can be
+# specified. The init-script which reads this file assumes that a
+# swap= or target= line starts a new section, similar to lilo or grub
+# configuration.
+
+# Note when using gpg keys and /usr on a separate partition, you will
+# have to copy /usr/bin/gpg to /bin/gpg so that it will work properly
+# and ensure that gpg has been compiled statically.
+# See http://bugs.gentoo.org/90482 for more information.
+
+# Note that the init-script which reads this file detects whether your
+# partition is LUKS or not. No mkfs is run unless you specify a makefs
+# option.
+
+# Global options:
+#----------------
+
+# How long to wait for each timeout (in seconds).
+dmcrypt_key_timeout=1
+
+# Max number of checks to perform (see dmcrypt_key_timeout).
+#dmcrypt_max_timeout=300
+
+# Number of password retries.
+dmcrypt_retries=5
+
+# Arguments:
+#-----------
+# target=<name> == Mapping name for partition.
+# swap=<name> == Mapping name for swap partition.
+# source='<dev>' == Real device for partition.
+# Note: You can (and should) specify a tag like UUID
+# for blkid (see -t option). This is safer than using
+# the full path to the device.
+# key='</path/to/keyfile>[:<mode>]' == Fullpath from / or from inside removable media.
+# remdev='<dev>' == Device that will be assigned to removable media.
+# gpg_options='<opts>' == Default are --quiet --decrypt
+# options='<opts>' == cryptsetup, for LUKS you can only use --readonly
+# loop_file='<file>' == Loopback file.
+# Note: If you omit $source, then a free loopback will
+# be looked up automatically.
+# pre_mount='cmds' == commands to execute before mounting partition.
+# post_mount='cmds' == commands to execute after mounting partition.
+#-----------
+# Supported Modes
+# gpg == decrypt and pipe key into cryptsetup.
+# Note: new-line character must not be part of key.
+# Command to erase \n char: 'cat key | tr -d '\n' > cleanKey'
+
+#--------------------
+# dm-crypt examples
+#--------------------
+
+## swap
+# Swap partitions. These should come first so that no keys make their
+# way into unencrypted swap.
+# If no options are given, they will default to: -c aes -h sha1 -d /dev/urandom
+# If no makefs is given then mkswap will be assumed
+#swap=crypt-swap
+#source='/dev/hda2'
+
+## /home with passphrase
+#target=crypt-home
+#source='/dev/hda5'
+
+## /home with regular keyfile
+#target=crypt-home
+#source='/dev/hda5'
+#key='/full/path/to/homekey'
+
+## /home with gpg protected key
+#target=crypt-home
+#source='/dev/hda5'
+#key='/full/path/to/homekey:gpg'
+
+## /home with regular keyfile on removable media(such as usb-stick)
+#target=crypt-home
+#source='/dev/hda5'
+#key='/full/path/to/homekey'
+#remdev='/dev/sda1'
+
+## /home with gpg protected key on removable media(such as usb-stick)
+#target=crypt-home
+#source='/dev/hda5'
+#key='/full/path/to/homekey:gpg'
+#remdev='/dev/sda1'
+
+## /tmp with regular keyfile
+#target=crypt-tmp
+#source='/dev/hda6'
+#key='/full/path/to/tmpkey'
+#pre_mount='/sbin/mkreiserfs -f -f ${dev}'
+#post_mount='chown root:root ${mount_point}; chmod 1777 ${mount_point}'
+
+## Loopback file example
+#target='crypt-loop-home'
+#source='/dev/loop0'
+#loop_file='/mnt/crypt/home'
+
+# The file must be terminated by a newline. Or leave this comment last.
diff --git a/sys-apps/baselayout/files/dracutcfg b/sys-apps/baselayout/files/dracutcfg
new file mode 100644
index 00000000..279e9bed
--- /dev/null
+++ b/sys-apps/baselayout/files/dracutcfg
@@ -0,0 +1,14 @@
+# Host-Only mode: Install only what is needed for booting the local host instead of a generic host and generate host-specific configuration.
+hostonly="no"
+
+# Combine early microcode with ramdisk. Uncomment the line bellow, and run "dracut -f" if you want early microcode update.
+# early_microcode="yes"
+
+# Dracut modules to add when building the iniframfs
+add_dracutmodules+=" drm plymouth "
+
+# Dracut modules to ommit when building the initramfs.
+omit_dracutmodules+=" systemd systemd-initrd systemd-networkd dracut-systemd "
+
+# Make sure we have vboxvideo && qxl inside the initramfs (Virtualbox/Qemu)
+add_drivers+=" vboxvideo qxl "
diff --git a/sys-apps/baselayout/files/grubcfg b/sys-apps/baselayout/files/grubcfg
new file mode 100644
index 00000000..b88083b2
--- /dev/null
+++ b/sys-apps/baselayout/files/grubcfg
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+#
+# To populate all changes in this file you need to regenerate your
+# grub configuration file afterwards:
+# 'grub2-mkconfig -o /boot/grub/grub.cfg'
+#
+# See the grub info page for documentation on possible variables and
+# their associated values.
+
+GRUB_DISTRIBUTOR="Redcore"
+
+# Default menu entry
+#GRUB_DEFAULT=0
+
+# Boot the default entry this many seconds after the menu is displayed
+GRUB_TIMEOUT="5"
+#GRUB_TIMEOUT_STYLE=menu
+
+# Append parameters to the linux kernel command line for non-recovery entries
+GRUB_CMDLINE_LINUX_DEFAULT="quiet loglevel=1 splash"
+
+# Uncomment to disable graphical terminal (grub-pc only)
+#GRUB_TERMINAL=console
+
+# The resolution used on graphical terminal.
+# Note that you can use only modes which your graphic card supports via VBE.
+# You can see them in real GRUB with the command `vbeinfo'.
+GRUB_GFXMODE="1366x768,1024x768,auto"
+
+# Set to 'text' to force the Linux kernel to boot in normal text
+# mode, 'keep' to preserve the graphics mode set using
+# 'GRUB_GFXMODE', 'WIDTHxHEIGHT'['xDEPTH'] to set a particular
+# graphics mode, or a sequence of these separated by commas or
+# semicolons to try several modes in sequence.
+GRUB_GFXPAYLOAD_LINUX="keep"
+
+# Path to theme spec txt file.
+# The starfield is by default provided with use truetype.
+# NOTE: when enabling custom theme, ensure you have required font/etc.
+GRUB_THEME="/usr/share/grub/themes/redcore/theme.txt"
+
+# Background image used on graphical terminal.
+# Can be in various bitmap formats.
+GRUB_BACKGROUND="/usr/share/grub/themes/redcore/terminal_bg.png"
+
+# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to kernel
+#GRUB_DISABLE_LINUX_UUID=true
+
+# Uncomment to disable generation of recovery mode menu entries
+#GRUB_DISABLE_RECOVERY=true
+
+# Uncomment to disable generation of the submenu and put all choices on
+# the top-level menu.
+# Besides the visual affect of no sub menu, this makes navigation of the
+# menu easier for a user who can't see the screen.
+#GRUB_DISABLE_SUBMENU=y
+
+# Uncomment to play a tone when the main menu is displayed.
+# This is useful, for example, to allow users who can't see the screen
+# to know when they can make a choice on the menu.
+#GRUB_INIT_TUNE="60 800 1"
diff --git a/sys-apps/baselayout/files/nmcfg b/sys-apps/baselayout/files/nmcfg
new file mode 100644
index 00000000..a1c4b037
--- /dev/null
+++ b/sys-apps/baselayout/files/nmcfg
@@ -0,0 +1,3 @@
+[main]
+plugins=keyfile
+hostname-mode=none
diff --git a/sys-apps/baselayout/files/smbcfg b/sys-apps/baselayout/files/smbcfg
new file mode 100644
index 00000000..09276f94
--- /dev/null
+++ b/sys-apps/baselayout/files/smbcfg
@@ -0,0 +1,20 @@
+[global]
+ workgroup = WORKGROUP
+ server string = Samba Server
+ server role = standalone server
+ log file = /var/log/samba/log.%m
+ max log size = 50
+ dns proxy = no
+ usershare path = /var/lib/samba/usershare
+ usershare max shares = 100
+ usershare allow guests = yes
+ usershare owner only = yes
+ client max protocol = NT1
+[tmp]
+ comment = Temporary file space
+ path = /var/tmp
+ public = yes
+ writeable = yes
+ read only = no
+ printable = no
+ guest ok = yes